package com.dahe.gldriver.ui.account.authperson

import android.os.Bundle
import com.dahe.gldriver.R
import com.dahe.gldriver.bean.UpQualiInfoBean
import com.dahe.gldriver.databinding.ActivityAuthRoadBinding
import com.dahe.gldriver.oss.OssServiceUtil
import com.dahe.gldriver.ui.account.SelectRoleActivity
import com.dahe.mylibrary.base.BaseActivity
import com.dahe.mylibrary.utils.ActivityUtils
import com.dahe.mylibrary.utils.ImageLoader
import com.dahe.mylibrary.utils.PickerUtils
import com.dahe.mylibrary.utils.PopsUtils
import com.github.gzuliyujiang.wheelpicker.contract.OnDatePickedListener

/**
 * @ClassName AuthRoadActivity
 * @Author john
 * @Date 2024/1/25 16:02
 * @Description 道路运输许可证认证
 */
class AuthRoadActivity : BaseActivity<ActivityAuthRoadBinding>() {

    var ossServiceUtil: OssServiceUtil = OssServiceUtil.getInstance()
    var upQuaInfo = UpQualiInfoBean()
    override fun initView(savedInstanceState: Bundle?) {
        setStatusBarColor(R.color.white)
        setTitleBar("实名认证",true)
        binding.run {
            btnOk.setOnClickListener {
                ActivityUtils.startActivity(mContext, SelectRoleActivity::class.java)
            }

            tvDate.setOnClickListener {
                PickerUtils.getInstance().showDate(this@AuthRoadActivity){ date ->

                }
            }
            ivFront.setOnClickListener {
                PopsUtils.getInstance().showSimSelPic(mContext) {
                    ImageLoader.getInstance().loadRoundImage(mContext, it[0].path, 12, ivFront)
                }
            }
        }
    }

    override fun initDate() {
    }
}